%define name	kdebluetooth
%define version	0.0.cvs20040914
%define release 1mdk

%define major	0
%define libname %mklibname %name %major

%define __libtoolize /bin/true
%define	_requires_exceptions devel(libGLcore)
%define	_requires_exceptions devel(libGL)

Name: 	 	%{name}
Summary: 	Access and control bluetooth devices in KDE
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://kde-bluetooth.sourceforge.net/
License:	GPL
Group:		System/Configuration/Hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	bluez-utils bluez-sdp
BuildRequires:	pkgconfig kdelibs-devel openobex-devel
BuildRequires:	bluez-devel bluez-sdp-devel arts-devel xmms-devel

Patch1:			kdebluetooth-fix-config.patch.bz2

%description
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%package devel
Group:		System/Configuration/Hardware
Summary:	Development for KDE Bluetooth
Requires:	%name

%description devel
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%prep
#%setup -q -n %name
%setup -q -n kdeextragear-3

%patch1 -p1 -b .fix_launch_config

%build
make -f Makefile.cvs
%configure2_5x --enable-final --disable-rpath --disable-debug --enable-experimental
#perl -p -i -e 's/openobex\/obex.h/obex.h/g' `find -name "*.h"`
cd %name
%make

%install
rm -rf $RPM_BUILD_ROOT
cd %name
%makeinstall_std

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
install -m 0644 kbluetoothd/kbluetoothd/icons/hi48-app-kbluetoothd.png $RPM_BUILD_ROOT/%_liconsdir/kbluetoothd.png
install -m 0644 kbluetoothd/kbluetoothd/icons/hi32-app-kbluetoothd.png $RPM_BUILD_ROOT/%_iconsdir/kbluetoothd.png
install -m 0644 kbluetoothd/kbluetoothd/icons/hi16-app-kbluetoothd.png $RPM_BUILD_ROOT/%_miconsdir/kbluetoothd.png
install -m 0644 handsfree/icons/cr48-app-kbthandsfree.png $RPM_BUILD_ROOT/%_liconsdir/kbthandsfree.png
install -m 0644 handsfree/icons/cr32-app-kbthandsfree.png $RPM_BUILD_ROOT/%_iconsdir/kbthandsfree.png
install -m 0644 handsfree/icons/cr16-app-kbthandsfree.png $RPM_BUILD_ROOT/%_miconsdir/kbthandsfree.png
install -m 0644 kdebluetooth-common/icons/hi48-app-kdebluetooth.png $RPM_BUILD_ROOT/%_liconsdir/kdebluetooth.png
install -m 0644 kdebluetooth-common/icons/hi32-app-kdebluetooth.png $RPM_BUILD_ROOT/%_iconsdir/kdebluetooth.png
install -m 0644 kdebluetooth-common/icons/hi16-app-kdebluetooth.png $RPM_BUILD_ROOT/%_miconsdir/kdebluetooth.png

#menus
mkdir -p $RPM_BUILD_ROOT/%_menudir
kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/kioobex_start.desktop %buildroot/%_menudir/kioobex_start 

kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/Application/kbtobexsrv.desktop %buildroot/%_menudir/kbtobexsrv

#package(%{name}): command="kbtobexsrv" kde_command="kbtobexsrv -caption \"%c\" %i %m %u" icon="kdebluetooth.png" needs="x11" title="Bluetooth Obex Server" longtitle="Bluetooth Obex Server" section=".hidden"
#EOF

kdedesktop2mdkmenu.pl %{name} System/Configuration/Hardware %buildroot/%_datadir/applnk/Settings/Network/Bluetooth/kcm_kbluetoothd.desktop %buildroot/%_menudir/kcm_kbluetoothd kde

kdedesktop2mdkmenu.pl %{name} System/Configuration/Hardware %buildroot/%_datadir/applnk/Settings/Peripherals/obex.desktop %buildroot/%_menudir/obex kde

kdedesktop2mdkmenu.pl %{name} Office/Communications/Phone %buildroot/%_datadir/applnk/Utilities/kbthandsfree.desktop %buildroot/%_menudir/kbthandsfree

kdedesktop2mdkmenu.pl %{name} "More Applications/Communications" %buildroot/%_datadir/applnk/Utilities/kbtobexclient.desktop %buildroot/%_menudir/kbtobexclient

kdedesktop2mdkmenu.pl %{name} "More Applications/Communications" %buildroot/%_datadir/applnk/Utilities/kbtserialchat.desktop %buildroot/%_menudir/kbtserialchat

#%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc kdebluetooth/AUTHORS kdebluetooth/NEWS kdebluetooth/README kdebluetooth/INSTALL
#%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_sbindir}/qobexfbssrv
%{_libdir}/kde3/*
%{_libdir}/libqobex.so.*
%{_libdir}/%name
%dir %{_datadir}/apps/kbthandsfree/
%{_datadir}/apps/kbthandsfree/*
%dir %{_datadir}/apps/kbluetoothd/
%{_datadir}/apps/kbluetoothd/*
%{_datadir}/apps/%name
%dir %{_datadir}/apps/konqsidebartng/
%dir %{_datadir}/apps/konqsidebartng/virtual_folders/
%dir %{_datadir}/apps/konqsidebartng/virtual_folders/services/
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*

%dir %{_datadir}/apps/kbtobexclient/
%{_datadir}/apps/kbtobexclient/*

%dir %{_datadir}/apps/konqueror/
%dir %{_datadir}/apps/konqueror/servicemenus/
%{_datadir}/apps/konqueror/servicemenus/*
%{_iconsdir}/*/*/*/*

%dir %{_datadir}/mimelnk/bluetooth/
%{_datadir}/mimelnk/bluetooth/*

%dir %{_datadir}/applnk/Application
%{_datadir}/applnk/Application/*

%dir %{_datadir}/applnk/.hidden
%{_datadir}/applnk/.hidden/kioobex_start.desktop

%{_datadir}/applnk/Settings/Peripherals/obex.desktop
%{_datadir}/applnk/Settings/Network/Bluetooth

%dir %{_datadir}/applnk/System
%dir %{_datadir}/applnk/Utilities
%{_datadir}/applnk/System/*
%{_datadir}/applnk/Utilities/*

%{_datadir}/config/obexrc

%{_datadir}/sounds/*

%{_datadir}/servicetypes/*
%{_datadir}/services/*
%{_datadir}/autostart/*
%dir %{_datadir}/desktop-directories
%{_datadir}/desktop-directories/*

%{_menudir}/*

%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qobex/
%{_includedir}/qobex/*.h
%{_libdir}/libqobex.la
%{_libdir}/libqobex.so


%changelog
* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040914-1mdk
- cvs 20040914

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040718-3mdk
- Rebuild with new menu

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040718-2mdk
- Fix tarball (add admin directory into package)

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 0.0.cvs20040718-1mdk
- cvs 20040718
- configure 2.5
- disable-rpath

* Fri Jun 18 2004 Austin Acton <austin@mandrake.org> 0.0.cvs20040618-1mdk
- cvs 20040618

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040302-5mdk
- Rebuild

* Wed Mar  3 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040302-4dk
- clean spec

* Tue Mar  2 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040302-3mdk
- add requires bluez-sdp

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040302-2mdk
- Fix spec file

* Tue Mar  2 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040302-1mdk
- clean (Thanks Laurent)

* Mon Mar  1 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040225-2mdk
- correction devel

* Wed Feb 25 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040225-1mdk
- add mdk menu
- add devel
- cvs20040225

* Wed Jan 21 2004 Austin Acton <austin@mandrake.org> 0.0.cvs20040202-1mdk
- initial package
